'use strict';

var antd = require('antd');
var React = require('react');
var index$P = require('./core/AccordionCard/index.js');
var index$p = require('./core/Alert/index.js');
var index$v = require('./core/Arch/index.js');
var index$r = require('./core/Badge/index.js');
var index$l = require('./core/Bit/index.js');
var index$k = require('./core/BitPerSecond/index.js');
var index$j = require('./core/Bps/index.js');
var index$S = require('./core/Breadcrumb/index.js');
var index$6 = require('./core/Button/index.js');
var index$w = require('./core/ButtonGroup/index.js');
var index$f = require('./core/Byte/index.js');
var index$g = require('./core/BytePerSecond/index.js');
var index$E = require('./core/Calendar/index.js');
var index$F = require('./core/Card/index.js');
var index$c = require('./core/Checkbox/index.js');
var index$t = require('./core/DeprecatedProgress/index.js');
var index$Q = require('./core/DetailCard/index.js');
var index$V = require('./core/DonutChart/index.js');
var index$11 = require('./core/DropdownMenu/index.js');
var index$o = require('./core/Empty/index.js');
var index$1 = require('./core/Error/index.js');
var ExpandableContainer = require('./core/ExpandableList/ExpandableContainer.js');
var ExpandableItem = require('./core/ExpandableList/ExpandableItem.js');
var index$d = require('./core/Fields/index.js');
var index$y = require('./core/Form/index.js');
var index$h = require('./core/Frequency/index.js');
var index$a = require('./core/Input/index.js');
var index$n = require('./core/InputGroup/index.js');
var index$3 = require('./core/LegacySelect/index.js');
var index$10 = require('./core/Link/index.js');
var index = require('./core/Loading/index.js');
var message = require('./core/message/message.js');
var index$7 = require('./core/Modal/index.js');
var index$2 = require('./core/Pagination/index.js');
var index$e = require('./core/Percent/index.js');
var index$s = require('./core/Radio/index.js');
var index$q = require('./core/SearchInput/index.js');
var index$m = require('./core/Second/index.js');
var index$14 = require('./core/SegmentControl/index.js');
var index$4 = require('./core/Select/index.js');
var index$z = require('./core/SimplePagination/index.js');
var index$i = require('./core/Speed/index.js');
var index$D = require('./core/StatusCapsule/index.js');
var index$T = require('./core/StepProgress/index.js');
var index$x = require('./core/Steps/index.js');
var index$8 = require('./core/Switch/index.js');
var index$5 = require('./core/Table/index.js');
var index$B = require('./core/TableForm/index.js');
var index$u = require('./core/Tag/index.js');
var index$b = require('./core/TextArea/index.js');
var index$N = require('./core/Time/index.js');
var index$A = require('./core/TimeZoneSelect/index.js');
var index$C = require('./core/Token/index.js');
var index$9 = require('./core/Tooltip/index.js');
var index$M = require('./core/Truncate/index.js');
var index$12 = require('./coreX/BatchOperation/index.js');
var index$U = require('./coreX/ChartWithTooltip/index.js');
var index$R = require('./coreX/Counting/index.js');
var index$L = require('./coreX/CronCalendar/index.js');
var index$J = require('./coreX/CronPlan/index.js');
var index$W = require('./coreX/DeprecatedDonutChart/index.js');
var index$O = require('./coreX/DropdownTransition/index.js');
var index$Y = require('./coreX/GoBackButton/index.js');
var index$H = require('./coreX/I18nNameTag/index.js');
var index$K = require('./coreX/NamesTooltip/index.js');
var index$G = require('./coreX/OverflowTooltip/index.js');
var index$$ = require('./coreX/SidebarSubtitle/index.js');
var index$_ = require('./coreX/SortableList/index.js');
var index$Z = require('./coreX/SummaryTable/index.js');
var index$I = require('./coreX/SwitchWithText/index.js');
var index$X = require('./coreX/UnitWithChart/index.js');
var index$13 = require('./coreX/DateRangePicker/index.js');

function _interopDefault (e) { return e && e.__esModule ? e : { default: e }; }

var React__default = /*#__PURE__*/_interopDefault(React);

function getAntdKit() {
  const kit = {
    loading: index,
    error: index$1,
    pagination: index$2.default,
    legacySelect: index$3,
    select: index$4.default,
    option: antd.Select.Option,
    selectOptGroup: antd.Select.OptGroup,
    table: index$5.default,
    row: antd.Row,
    col: antd.Col,
    button: index$6,
    modal: index$7,
    dropdown: antd.Dropdown,
    switch: index$8,
    tooltip: index$9,
    input: index$a,
    textArea: index$b,
    checkbox: index$c,
    fields: index$d,
    units: {
      Percent: index$e,
      Byte: index$f,
      BytePerSecond: index$g,
      Frequency: index$h,
      Speed: index$i,
      Bps: index$j,
      BitPerSecond: index$k,
      Bit: index$l,
      Second: index$m
    },
    inputGroup: index$n,
    Empty: /* @__PURE__ */ React__default.default.createElement(index$o, null),
    alert: index$p,
    searchInput: index$q,
    badge: index$r,
    radio: index$s.default,
    radioGroup: index$s.RadioGroup,
    radioButton: index$s.RadioButton,
    tree: antd.Tree,
    DeprecatedProgress: index$t,
    divider: antd.Divider,
    skeleton: antd.Skeleton,
    skeletonButton: antd.Skeleton.Button,
    list: antd.List,
    listItem: antd.List.Item,
    menu: antd.Menu,
    menuItem: antd.Menu.Item,
    menuItemGroup: antd.Menu.ItemGroup,
    layout: antd.Layout,
    autoComplete: antd.AutoComplete,
    message: message.default,
    tag: index$u.default,
    popover: antd.Popover,
    arch: index$v.default,
    buttonGroup: index$w.default,
    steps: index$x,
    form: index$y,
    simplePagination: index$z,
    space: antd.Space,
    timeZoneSelect: index$A,
    timeline: antd.Timeline,
    timelineItem: antd.Timeline.Item,
    checkboxGroup: antd.Checkbox.Group,
    typographyText: antd.Typography.Text,
    upload: antd.Upload,
    datePickerRangePicker: antd.DatePicker.RangePicker,
    tableForm: index$B.default,
    token: index$C.default,
    statusCapsule: index$D.default,
    uploadDragger: antd.Upload.Dragger,
    calendar: index$E,
    timePicker: antd.TimePicker,
    datePicker: antd.DatePicker,
    tabs: antd.Tabs,
    tabsTabPane: antd.Tabs.TabPane,
    antdBadge: antd.Badge,
    antdMessage: antd.message,
    antdButton: antd.Button,
    antdSelect: antd.Select,
    antdTooltip: antd.Tooltip,
    antdModal: antd.Modal,
    antdInput: antd.Input,
    antdTable: antd.Table,
    antdEmpty: antd.Empty,
    antdCheckbox: antd.Checkbox,
    antdSwitch: antd.Switch,
    antdCollapse: antd.Collapse,
    antdTreeSelect: antd.TreeSelect,
    antdDrawer: antd.Drawer,
    antdSteps: antd.Steps,
    card: index$F,
    overflowTooltip: index$G,
    I18nNameTag: index$H,
    SwitchWithText: index$I,
    CronPlan: index$J.default,
    NamesTooltip: index$K,
    CronCalendar: index$L,
    truncate: index$M,
    expandableList: {
      ExpandableContainer,
      ExpandableItem
    },
    time: index$N,
    DropdownTransition: index$O,
    AccordionCard: index$P,
    DetailCard: index$Q,
    Counting: index$R,
    Breadcrumb: index$S.default,
    CircleProgress: index$T.CircleProgress,
    ChartWithTooltip: index$U.default,
    ChartWithUnit: index$U.ChartWithUnit,
    DonutChart: index$V.default,
    DeprecatedDonutChart: index$W,
    UnitWithChart: index$X.default,
    GoBackButton: index$Y,
    SummaryTable: index$Z.default,
    SortableList: index$_,
    SidebarSubtitle: index$$,
    Link: index$10,
    DropdownMenu: index$11.default,
    BatchOperation: index$12.default,
    DateRangePicker: index$13.default,
    SegmentedControl: index$14
  };
  kit.option.isSelectOption = true;
  kit.button.__ANT_BUTTON = true;
  return kit;
}
const antdKit = getAntdKit();

exports.antdKit = antdKit;
exports.getAntdKit = getAntdKit;
